var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { Component } from 'react';
import hoistNonReactStatics from 'hoist-non-react-statics';
import { Pagination as NextPagination } from '@alifd/next';
class Pagination extends Component {
    render() {
        const { type, className } = this.props;
        // mini 模式
        if (type === 'mini') {
            const _a = this.props, { prefix = 'next-', className } = _a, otherProps = __rest(_a, ["prefix", "className"]);
            return (React.createElement(NextPagination, Object.assign({}, otherProps, { type: "normal", showJump: false, prefix: prefix, size: "small", shape: "arrow-only", className: className })));
        }
        return React.createElement(NextPagination, Object.assign({}, this.props, { className: className }));
    }
}
hoistNonReactStatics(Pagination, NextPagination);
export default Pagination;
